﻿
using System.ServiceModel;
using System.Threading;

namespace Service
{
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerSession, ConcurrencyMode = ConcurrencyMode.Multiple)]
    public class SampleMethod:ISampleMethod
    {

        public string MethodOne(string msg)
        {
            OperationContext operationContext = OperationContext.Current;
            InstanceContext instanceContext = operationContext.InstanceContext;
            string info = "InstanceContext HashCode: " + instanceContext.GetHashCode().ToString();
            System.Threading.Thread.Sleep(2000);
            return "You called MethodOne return message is: " + msg + "\n->" + info + "\n->ManagedThreadId:" + Thread.CurrentThread.ManagedThreadId.ToString()+"  "+System.DateTime.Now.ToString();
        }

        public string MethodTwo(string msg)
        {
            OperationContext operationContext = OperationContext.Current;
            InstanceContext instanceContext = operationContext.InstanceContext;
            string info = "InstanceContext HashCode: " + instanceContext.GetHashCode().ToString();
            System.Threading.Thread.Sleep(3000);
            return "You called MethodTwo return message is: " + msg + "\n->" + info + "\n->ManagedThreadId:" + Thread.CurrentThread.ManagedThreadId.ToString() + "  " + System.DateTime.Now.ToString();
        }

    }
}
