﻿using System;

namespace Client
{
    class Program
    {
        static void Main(string[] args)
        {
            SampleMethodClient client1 = new SampleMethodClient();
            client1.MethodOneCompleted += new EventHandler<MethodOneCompletedEventArgs>(client1_MethodOneCompleted);
            client1.MethodOneAsync("Client1 called MethodOne");
            client1.MethodTwoCompleted += new EventHandler<MethodTwoCompletedEventArgs>(client1_MethodTwoCompleted);
            client1.MethodTwoAsync("Client1 called MethodTwo");

            SampleMethodClient client2 = new SampleMethodClient();
            client2.MethodOneCompleted += new EventHandler<MethodOneCompletedEventArgs>(client2_MethodOneCompleted);
            client2.MethodOneAsync("Client2 called MethodOne");
            client2.MethodTwoCompleted += new EventHandler<MethodTwoCompletedEventArgs>(client2_MethodTwoCompleted);
            client2.MethodTwoAsync("Client2 called MethodTwo");
    
            Console.Read();
        }


        static void client2_MethodOneCompleted(object sender, MethodOneCompletedEventArgs e)
        {
            Console.WriteLine(e.Result.ToString());
        }

        static void client2_MethodTwoCompleted(object sender, MethodTwoCompletedEventArgs e)
        {
            Console.WriteLine(e.Result.ToString());
        }

        static void client1_MethodOneCompleted(object sender, MethodOneCompletedEventArgs e)
        {
            Console.WriteLine(e.Result.ToString());
        }
        static void client1_MethodTwoCompleted(object sender, MethodTwoCompletedEventArgs e)
        {
            Console.WriteLine(e.Result.ToString());
        }
    }
}
